@use "constants";
$directions: top, bottom, left, right;
$sizes: 0, 1, 2, 3, 4, 5, 6;

// Margin

@each $direction in $directions {
  @each $size in $sizes {
    .p-#{$direction}-#{$size} {
      padding-#{$direction}: #{constants.$baseSize * $size}px;
    }
  }
}

@each $size in $sizes {
  .m-#{$size} {
    margin: #{constants.$baseSize * $size}px;
  }
}

// Padding

@each $direction in $directions {
  @each $size in $sizes {
    .m-#{$direction}-#{$size} {
      margin-#{$direction}: #{constants.$baseSize * $size}px;
    }
  }

  .m-#{$direction}-auto {
    margin-#{$direction}: auto;
  }
}

@each $size in $sizes {
  .p-#{$size} {
    padding: #{constants.$baseSize * $size}px;
  }
}
